Skip to content

Return the engagement details of a single post within a feed

Request

Displays the user’s engagements related to a single feed post, including a timestamp for each type of engagement; for example, a liked_at timestamp is present if the user has liked the post and a bookmarked_at is present if the user has bookmarked the post. The post must be visible to the user or a 404 Not Found response will be returned.
Upon enabling expanded reactions types, the response will include a reaction_type_id which is associated with a reaction type.

Security
oauth2_as_a_user(Required scopes: feeds.read)
Path
content_idintegerrequired

ID of the post

curl -i -X GET \
  'https://partner.socialchorus.com/v2/feed/posts/{content_id}/engagement' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
dataobject(Feeds.PostEngagement.Resource)
Response
{ "data": { "id": 0, "user_id": 456, "liked_at": "2000-01-01T00:00:00Z", "bookmarked_at": "2000-01-01T00:00:00Z", "viewed_at": "2000-01-01T00:00:00Z", "shares": [], "total_likes_count": 5, "total_shares_count": 0, "total_bookmarks_count": 0 } }